package com.vetti.hotake.mapper;

import java.util.List;
import com.vetti.hotake.domain.HotakeSysNotice;

/**
 * 通知Mapper接口
 * 
 * @author ID
 * @date 2025-11-01
 */
public interface HotakeSysNoticeMapper 
{
    /**
     * 查询通知
     * 
     * @param id 通知主键
     * @return 通知
     */
    public HotakeSysNotice selectHotakeSysNoticeById(Long id);

    /**
     * 查询通知列表
     * 
     * @param hotakeSysNotice 通知
     * @return 通知集合
     */
    public List<HotakeSysNotice> selectHotakeSysNoticeList(HotakeSysNotice hotakeSysNotice);

    /**
     * 新增通知
     * 
     * @param hotakeSysNotice 通知
     * @return 结果
     */
    public int insertHotakeSysNotice(HotakeSysNotice hotakeSysNotice);

    /**
     * 修改通知
     * 
     * @param hotakeSysNotice 通知
     * @return 结果
     */
    public int updateHotakeSysNotice(HotakeSysNotice hotakeSysNotice);

    /**
     * 删除通知
     * 
     * @param id 通知主键
     * @return 结果
     */
    public int deleteHotakeSysNoticeById(Long id);

    /**
     * 批量删除通知
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHotakeSysNoticeByIds(Long[] ids);
    /**
     * 批量新增通知
     *
     * @param hotakeSysNoticeList 通知列表
     * @return 结果
     */
    public int batchInsertHotakeSysNotice(List<HotakeSysNotice> hotakeSysNoticeList);

}
